FcDefaultSubstitute(3) |  | FcDefaultSubstitute(3)

# NAME

FcDefaultSubstitute - Perform default substitutions in a pattern

# SYNOPSIS

    #include <fontconfig/fontconfig.h>

    void FcDefaultSubstitute (FcPattern *pattern);

# DESCRIPTION

Supplies default values for underspecified font patterns:

•
  Patterns without a specified style or weight are set to Medium
•
  Patterns without a specified style or slant are set to Roman
•
  Patterns without a specified pixel size are given one computed from any specified point size (default 12), dpi (default 75) and scale (default 1).

30 8月 2018 | Fontconfig 2.13.1